Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.gui.beans
Class PredictionAppender

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      weka.gui.beans.PredictionAppender

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, BatchClassifierListener, BatchClustererListener, BeanCommon, DataSource, EventConstraints, IncrementalClassifierListener, TestSetProducer, TrainingSetProducer, Visible

    public class PredictionAppender

extends javax.swing.JPanel
implements DataSource, TrainingSetProducer, TestSetProducer, Visible, BeanCommon, EventConstraints, BatchClassifierListener, IncrementalClassifierListener, BatchClustererListener, java.io.Serializable

Bean that can can accept batch or incremental classifier events and produce dataset or instance events which contain instances with predictions appended.

Version:
  $Revision: 5062 $
Author:
  Mark Hall
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.BaselineResizeBehavior`

Field Summary

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`PredictionAppender()` Creates a new `PredictionAppender` instance.

Method Summary
`void` | `acceptClassifier(BatchClassifierEvent e)` Accept and process a batch classifier event
`void` | `acceptClassifier(IncrementalClassifierEvent e)` Accept and process an incremental classifier event
`void` | `acceptClusterer(BatchClustererEvent e)` Accept and process a batch clusterer event
`void` | `addDataSourceListener(DataSourceListener dsl)` Add a datasource listener
`void` | `addInstanceListener(InstanceListener dsl)` Add an instance listener
`void` | `addTestSetListener(TestSetListener tsl)` Add a test set listener
`void` | `addTrainingSetListener(TrainingSetListener tsl)` Add a training set listener
`java.lang.String` | `appendPredictedProbabilitiesTipText()` Return a tip text suitable for displaying in a GUI
`boolean` | `connectionAllowed(java.beans.EventSetDescriptor esd)` Returns true if, at this time, the object will accept a connection according to the supplied EventSetDescriptor
`boolean` | `connectionAllowed(java.lang.String eventName)` Returns true if, at this time, the object will accept a connection according to the supplied event name
`void` | `connectionNotification(java.lang.String eventName, java.lang.Object source)` Notify this object that it has been registered as a listener with a source with respect to the supplied event name
`void` | `disconnectionNotification(java.lang.String eventName, java.lang.Object source)` Notify this object that it has been deregistered as a listener with a source with respect to the supplied event name
`boolean` | `eventGeneratable(java.lang.String eventName)` Returns true, if at the current time, the named event could be generated.
`boolean` | `getAppendPredictedProbabilities()` Return true if predicted probabilities are to be appended rather than class value
`java.lang.String` | `getCustomName()` Get the custom (descriptive) name for this bean (if one has been set)
`BeanVisual` | `getVisual()` Get the visual being used by this data source.
`java.lang.String` | `globalInfo()` Global description of this bean
`boolean` | `isBusy()` Returns true if.
`void` | `removeDataSourceListener(DataSourceListener dsl)` Remove a datasource listener
`void` | `removeInstanceListener(InstanceListener dsl)` Remove an instance listener
`void` | `removeTestSetListener(TestSetListener tsl)` Remove a test set listener
`void` | `removeTrainingSetListener(TrainingSetListener tsl)` Remove a training set listener
`void` | `setAppendPredictedProbabilities(boolean ap)` Set whether to append predicted probabilities rather than class value (for discrete class data sets)
`void` | `setCustomName(java.lang.String name)` Set a custom (descriptive) name for this bean
`void` | `setLog(Logger logger)` Set a logger
`void` | `setVisual(BeanVisual newVisual)` Set the visual for this data source
`void` | `stop()` Stop any processing that the bean might be doing.
`void` | `useDefaultVisual()` Use the default images for a data source

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PredictionAppender

    public PredictionAppender()

  Creates a new `PredictionAppender` instance.

Method Detail

### globalInfo

    public java.lang.String globalInfo()

  Global description of this bean

  Returns:
    a `String` value

### setCustomName

    public void setCustomName(java.lang.String name)

  Set a custom (descriptive) name for this bean

  Specified by:
    `setCustomName` in interface `BeanCommon`
  Parameters:
    `name` - the name to use

### getCustomName

    public java.lang.String getCustomName()

  Get the custom (descriptive) name for this bean (if one has been set)

  Specified by:
    `getCustomName` in interface `BeanCommon`
  Returns:
    the custom name (or the default name)

### appendPredictedProbabilitiesTipText

    public java.lang.String appendPredictedProbabilitiesTipText()

  Return a tip text suitable for displaying in a GUI

  Returns:
    a `String` value

### getAppendPredictedProbabilities

    public boolean getAppendPredictedProbabilities()

  Return true if predicted probabilities are to be appended rather than class value

  Returns:
    a `boolean` value

### setAppendPredictedProbabilities

    public void setAppendPredictedProbabilities(boolean ap)

  Set whether to append predicted probabilities rather than class value (for discrete class data sets)

  Parameters:
    `ap` - a `boolean` value

### addTrainingSetListener

    public void addTrainingSetListener(TrainingSetListener tsl)

  Add a training set listener

  Specified by:
    `addTrainingSetListener` in interface `TrainingSetProducer`
  Parameters:
    `tsl` - a `TrainingSetListener` value

### removeTrainingSetListener

    public void removeTrainingSetListener(TrainingSetListener tsl)

  Remove a training set listener

  Specified by:
    `removeTrainingSetListener` in interface `TrainingSetProducer`
  Parameters:
    `tsl` - a `TrainingSetListener` value

### addTestSetListener

    public void addTestSetListener(TestSetListener tsl)

  Add a test set listener

  Specified by:
    `addTestSetListener` in interface `TestSetProducer`
  Parameters:
    `tsl` - a `TestSetListener` value

### removeTestSetListener

    public void removeTestSetListener(TestSetListener tsl)

  Remove a test set listener

  Specified by:
    `removeTestSetListener` in interface `TestSetProducer`
  Parameters:
    `tsl` - a `TestSetListener` value

### addDataSourceListener

    public void addDataSourceListener(DataSourceListener dsl)

  Add a datasource listener

  Specified by:
    `addDataSourceListener` in interface `DataSource`
  Parameters:
    `dsl` - a `DataSourceListener` value

### removeDataSourceListener

    public void removeDataSourceListener(DataSourceListener dsl)

  Remove a datasource listener

  Specified by:
    `removeDataSourceListener` in interface `DataSource`
  Parameters:
    `dsl` - a `DataSourceListener` value

### addInstanceListener

    public void addInstanceListener(InstanceListener dsl)

  Add an instance listener

  Specified by:
    `addInstanceListener` in interface `DataSource`
  Parameters:
    `dsl` - a `InstanceListener` value

### removeInstanceListener

    public void removeInstanceListener(InstanceListener dsl)

  Remove an instance listener

  Specified by:
    `removeInstanceListener` in interface `DataSource`
  Parameters:
    `dsl` - a `InstanceListener` value

### setVisual

    public void setVisual(BeanVisual newVisual)

  Set the visual for this data source

  Specified by:
    `setVisual` in interface `Visible`
  Parameters:
    `newVisual` - a `BeanVisual` value

### getVisual

    public BeanVisual getVisual()

  Get the visual being used by this data source.

  Specified by:
    `getVisual` in interface `Visible`
  Returns:
    a `BeanVisual` value

### useDefaultVisual

    public void useDefaultVisual()

  Use the default images for a data source

  Specified by:
    `useDefaultVisual` in interface `Visible`

### acceptClassifier

    public void acceptClassifier(IncrementalClassifierEvent e)

  Accept and process an incremental classifier event

  Specified by:
    `acceptClassifier` in interface `IncrementalClassifierListener`
  Parameters:
    `e` - an `IncrementalClassifierEvent` value

### acceptClassifier

    public void acceptClassifier(BatchClassifierEvent e)

  Accept and process a batch classifier event

  Specified by:
    `acceptClassifier` in interface `BatchClassifierListener`
  Parameters:
    `e` - a `BatchClassifierEvent` value

### acceptClusterer

    public void acceptClusterer(BatchClustererEvent e)

  Accept and process a batch clusterer event

  Specified by:
    `acceptClusterer` in interface `BatchClustererListener`
  Parameters:
    `e` - a `BatchClassifierEvent` value

### setLog

    public void setLog(Logger logger)

  Set a logger

  Specified by:
    `setLog` in interface `BeanCommon`
  Parameters:
    `logger` - a `weka.gui.Logger` value

### stop

    public void stop()

  Description copied from interface: `BeanCommon`
  Stop any processing that the bean might be doing.

  Specified by:
    `stop` in interface `BeanCommon`

### isBusy

    public boolean isBusy()

  Returns true if. at this time, the bean is busy with some (i.e. perhaps a worker thread is performing some calculation).

  Specified by:
    `isBusy` in interface `BeanCommon`
  Returns:
    true if the bean is busy.

### connectionAllowed

    public boolean connectionAllowed(java.lang.String eventName)

  Returns true if, at this time, the object will accept a connection according to the supplied event name

  Specified by:
    `connectionAllowed` in interface `BeanCommon`
  Parameters:
    `eventName` - the event
  Returns:
    true if the object will accept a connection

### connectionAllowed

    public boolean connectionAllowed(java.beans.EventSetDescriptor esd)

  Returns true if, at this time, the object will accept a connection according to the supplied EventSetDescriptor

  Specified by:
    `connectionAllowed` in interface `BeanCommon`
  Parameters:
    `esd` - the EventSetDescriptor
  Returns:
    true if the object will accept a connection

### connectionNotification

    public void connectionNotification(java.lang.String eventName,
                                       java.lang.Object source)

  Notify this object that it has been registered as a listener with a source with respect to the supplied event name

  Specified by:
    `connectionNotification` in interface `BeanCommon`
  Parameters:
    `eventName` -
    `source` - the source with which this object has been registered as a listener

### disconnectionNotification

    public void disconnectionNotification(java.lang.String eventName,
                                          java.lang.Object source)

  Notify this object that it has been deregistered as a listener with a source with respect to the supplied event name

  Specified by:
    `disconnectionNotification` in interface `BeanCommon`
  Parameters:
    `eventName` - the event name
    `source` - the source with which this object has been registered as a listener

### eventGeneratable

    public boolean eventGeneratable(java.lang.String eventName)

  Returns true, if at the current time, the named event could be generated. Assumes that supplied event names are names of events that could be generated by this bean.

  Specified by:
    `eventGeneratable` in interface `EventConstraints`
  Parameters:
    `eventName` - the name of the event in question
  Returns:
    true if the named event could be generated at this point in time

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD